org.apache.geode.cache.configuration

## Enum EnumReadableWritable

- java.lang.Object
- - java.lang.Enum<EnumReadableWritable>
  - - org.apache.geode.cache.configuration.EnumReadableWritable

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumReadableWritable>

      @Experimental
      public enum EnumReadableWritable
      extends java.lang.Enum<EnumReadableWritable>

  Java class for enum-readable-writable.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="enum-readable-writable">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="readable"/>
           <enumeration value="writable"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READABLE`
    `WRITABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumReadableWritable` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static EnumReadableWritable` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumReadableWritable[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READABLE

          public static final EnumReadableWritable READABLE

    - #### WRITABLE

          public static final EnumReadableWritable WRITABLE

  - ### Method Detail

    - #### values

          public static EnumReadableWritable[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumReadableWritable c : EnumReadableWritable.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumReadableWritable valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static EnumReadableWritable fromValue(java.lang.String v)